package me.zhengjie.modules.dm.statement.service;


import me.zhengjie.modules.dm.order.service.dto.DmOrderRecordDto;
import me.zhengjie.modules.dm.statement.service.dto.DmEvaluateDto;
import me.zhengjie.modules.dm.statement.service.dto.DmEvaluateQueryCriteria;
import me.zhengjie.modules.dm.statement.service.dto.DmStatementDto;
import me.zhengjie.modules.dm.statement.service.dto.DmStatementQueryCriteria;
import org.springframework.data.domain.Pageable;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.*;

public interface DmStatementService {


    /**
     * 部门消费
     * @param stateDate
     * @param endDate
     * @param type
     * @param pageable
     * @return
     */
    Map<String,Object> selectOrderRecord(String stateDate, String endDate, String type, Pageable pageable);

    /**
     * 导出数据
     * @param all 待导出的数据
     * @param response /
     * @throws IOException /
     */
    void download(List<DmStatementDto> all, HttpServletResponse response) throws IOException;

    /**
     * 查询所有数据不分页
     * @param criteria 条件参数
     * @return List<DmServicePjDto>
     */
    List<DmStatementDto> queryAll(DmStatementQueryCriteria criteria);
}
